#include "ImageDiskXFile.h"

namespace Torch {

ImageDiskXFile::ImageDiskXFile(const char *file_name, const char *open_flags) : DiskXFile(file_name, open_flags)
{
	addBOption("verbose", &verbose, false, "verbose");

   	pixmap = NULL;
	coding = NULL;

	filename = (char *) file_name;
}

ImageDiskXFile::ImageDiskXFile() : DiskXFile(NULL)
{
	addBOption("verbose", &verbose, false, "verbose");

   	pixmap = NULL;
	coding = NULL;
}

ImageDiskXFile::~ImageDiskXFile()
{
}

}
