#ifndef CHI_SQUARE_INC
#define CHI_SQUARE_INC

#include "Metric.h"

namespace Torch {

/** This class is designed to compute the Chi square

    @author Sebastien Marcel (marcel@idiap.ch)
    \Date
    @version 2.0
    @since 2.0
*/
class mChiSquare : public Metric
{
public:
	//-----
	
	///
	mChiSquare(int n_inputs_);

	///
	virtual real measure(real *sample_, real *template_ = NULL);

	///
	virtual ~mChiSquare() {};
};

}

#endif

