#include "Ray2D.h"

namespace Torch {

void Ray2D::saveXFile(XFile *file)
{
   	P0.saveXFile(file);
   	P1.saveXFile(file);
}

void Ray2D::loadXFile(XFile *file)
{
   	P0.loadXFile(file);
   	P1.loadXFile(file);
}

const char *Ray2D::sprint()
{
	sprintf(buf_sprint, "[(%g, %g) (%g, %g))", P0.x, P0.y, P1.x, P1.y);

	return buf_sprint;
}

void Ray2D::draw(Image *image, Color color)
{
   	// Warning: this is not exactly correct as a ray is semi-finite
	// TODO: computes intersections of the line with the image and draw it
	
	image->drawline(P0.x, P0.y, P1.x, P1.y, color);
}

}
